//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-558 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.21 at 11:49:29 AM CST 
//


package com.bsb.fop.wsdl.product;

import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.datatype.Duration;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.bsb.fop.wsdl.product package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _UnsignedLong_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "unsignedLong");
    private final static QName _UnsignedByte_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "unsignedByte");
    private final static QName _OfferAddOn_QNAME = new QName("http://Fingerhut.Services", "OfferAddOn");
    private final static QName _UnsignedShort_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "unsignedShort");
    private final static QName _ProductInventory_QNAME = new QName("http://Fingerhut.Services", "ProductInventory");
    private final static QName _ArrayOfOfferAddOn_QNAME = new QName("http://Fingerhut.Services", "ArrayOfOfferAddOn");
    private final static QName _Duration_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "duration");
    private final static QName _ArrayOfWebServiceError_QNAME = new QName("http://Fingerhut.Services", "ArrayOfWebServiceError");
    private final static QName _ErrorBase_QNAME = new QName("http://Fingerhut.Services", "ErrorBase");
    private final static QName _Long_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "long");
    private final static QName _Float_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "float");
    private final static QName _DateTime_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "dateTime");
    private final static QName _AnyType_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "anyType");
    private final static QName _String_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "string");
    private final static QName _UnsignedInt_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "unsignedInt");
    private final static QName _Char_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "char");
    private final static QName _Short_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "short");
    private final static QName _Guid_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "guid");
    private final static QName _Decimal_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "decimal");
    private final static QName _Boolean_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "boolean");
    private final static QName _WebServiceError_QNAME = new QName("http://Fingerhut.Services", "WebServiceError");
    private final static QName _Base64Binary_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "base64Binary");
    private final static QName _Int_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "int");
    private final static QName _AnyURI_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "anyURI");
    private final static QName _Inventory_QNAME = new QName("http://Fingerhut.Services", "Inventory");
    private final static QName _AddOnByOfferID_QNAME = new QName("http://Fingerhut.Services", "AddOnByOfferID");
    private final static QName _Byte_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "byte");
    private final static QName _Double_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "double");
    private final static QName _QName_QNAME = new QName("http://schemas.microsoft.com/2003/10/Serialization/", "QName");
    private final static QName _AddOnByOfferIDMessages_QNAME = new QName("http://Fingerhut.Services", "Messages");
    private final static QName _AddOnByOfferIDAddOns_QNAME = new QName("http://Fingerhut.Services", "AddOns");
    private final static QName _WebServiceErrorErrorKey_QNAME = new QName("http://Fingerhut.Services", "ErrorKey");
    private final static QName _WebServiceErrorErrorMessage_QNAME = new QName("http://Fingerhut.Services", "ErrorMessage");
    private final static QName _WebServiceErrorParameter_QNAME = new QName("http://Fingerhut.Services", "Parameter");
    private final static QName _GetAddOnsByOfferResponseGetAddOnsByOfferResult_QNAME = new QName("http://Fingerhut.Services", "GetAddOnsByOfferResult");
    private final static QName _InventoryProduct_QNAME = new QName("http://Fingerhut.Services", "Product");
    private final static QName _GetAddOnsByOfferCatalogCode_QNAME = new QName("http://Fingerhut.Services", "CatalogCode");
    private final static QName _GetAddOnsByOfferBrandID_QNAME = new QName("http://Fingerhut.Services", "BrandID");
    private final static QName _GetAddOnsByOfferOfferCode_QNAME = new QName("http://Fingerhut.Services", "OfferCode");
    private final static QName _ProductInventorySubstitutionOfferCode_QNAME = new QName("http://Fingerhut.Services", "SubstitutionOfferCode");
    private final static QName _ProductInventorySKU_QNAME = new QName("http://Fingerhut.Services", "SKU");
    private final static QName _ProductInventorySubstitutionSkuOrKitCode_QNAME = new QName("http://Fingerhut.Services", "SubstitutionSkuOrKitCode");
    private final static QName _ProductInventorySubstitutionTypeName_QNAME = new QName("http://Fingerhut.Services", "SubstitutionTypeName");
    private final static QName _ErrorBaseMessagesCollection_QNAME = new QName("http://Fingerhut.Services", "MessagesCollection");
    private final static QName _GetProductInventoryResponseGetProductInventoryResult_QNAME = new QName("http://Fingerhut.Services", "GetProductInventoryResult");
    private final static QName _OfferAddOnImageFileName_QNAME = new QName("http://Fingerhut.Services", "ImageFileName");
    private final static QName _OfferAddOnImageWidth_QNAME = new QName("http://Fingerhut.Services", "ImageWidth");
    private final static QName _OfferAddOnAddonOfferCode_QNAME = new QName("http://Fingerhut.Services", "AddonOfferCode");
    private final static QName _OfferAddOnImageHeight_QNAME = new QName("http://Fingerhut.Services", "ImageHeight");
    private final static QName _OfferAddOnDescription_QNAME = new QName("http://Fingerhut.Services", "Description");
    private final static QName _OfferAddOnOriginalOfferName_QNAME = new QName("http://Fingerhut.Services", "OriginalOfferName");
    private final static QName _OfferAddOnScript_QNAME = new QName("http://Fingerhut.Services", "Script");
    private final static QName _OfferAddOnOriginalOfferCode_QNAME = new QName("http://Fingerhut.Services", "OriginalOfferCode");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.bsb.fop.wsdl.product
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AddOnByOfferID }
     * 
     */
    public AddOnByOfferID createAddOnByOfferID() {
        return new AddOnByOfferID();
    }

    /**
     * Create an instance of {@link WebServiceError }
     * 
     */
    public WebServiceError createWebServiceError() {
        return new WebServiceError();
    }

    /**
     * Create an instance of {@link ArrayOfOfferAddOn }
     * 
     */
    public ArrayOfOfferAddOn createArrayOfOfferAddOn() {
        return new ArrayOfOfferAddOn();
    }

    /**
     * Create an instance of {@link GetAddOnsByOfferResponse }
     * 
     */
    public GetAddOnsByOfferResponse createGetAddOnsByOfferResponse() {
        return new GetAddOnsByOfferResponse();
    }

    /**
     * Create an instance of {@link ArrayOfWebServiceError }
     * 
     */
    public ArrayOfWebServiceError createArrayOfWebServiceError() {
        return new ArrayOfWebServiceError();
    }

    /**
     * Create an instance of {@link Inventory }
     * 
     */
    public Inventory createInventory() {
        return new Inventory();
    }

    /**
     * Create an instance of {@link ProductInventory }
     * 
     */
    public ProductInventory createProductInventory() {
        return new ProductInventory();
    }

    /**
     * Create an instance of {@link GetAddOnsByOffer }
     * 
     */
    public GetAddOnsByOffer createGetAddOnsByOffer() {
        return new GetAddOnsByOffer();
    }

    /**
     * Create an instance of {@link ErrorBase }
     * 
     */
    public ErrorBase createErrorBase() {
        return new ErrorBase();
    }

    /**
     * Create an instance of {@link GetProductInventory }
     * 
     */
    public GetProductInventory createGetProductInventory() {
        return new GetProductInventory();
    }

    /**
     * Create an instance of {@link GetProductInventoryResponse }
     * 
     */
    public GetProductInventoryResponse createGetProductInventoryResponse() {
        return new GetProductInventoryResponse();
    }

    /**
     * Create an instance of {@link OfferAddOn }
     * 
     */
    public OfferAddOn createOfferAddOn() {
        return new OfferAddOn();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "unsignedLong")
    public JAXBElement<BigInteger> createUnsignedLong(BigInteger value) {
        return new JAXBElement<BigInteger>(_UnsignedLong_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Short }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "unsignedByte")
    public JAXBElement<Short> createUnsignedByte(Short value) {
        return new JAXBElement<Short>(_UnsignedByte_QNAME, Short.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OfferAddOn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "OfferAddOn")
    public JAXBElement<OfferAddOn> createOfferAddOn(OfferAddOn value) {
        return new JAXBElement<OfferAddOn>(_OfferAddOn_QNAME, OfferAddOn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "unsignedShort")
    public JAXBElement<Integer> createUnsignedShort(Integer value) {
        return new JAXBElement<Integer>(_UnsignedShort_QNAME, Integer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProductInventory }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ProductInventory")
    public JAXBElement<ProductInventory> createProductInventory(ProductInventory value) {
        return new JAXBElement<ProductInventory>(_ProductInventory_QNAME, ProductInventory.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfOfferAddOn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ArrayOfOfferAddOn")
    public JAXBElement<ArrayOfOfferAddOn> createArrayOfOfferAddOn(ArrayOfOfferAddOn value) {
        return new JAXBElement<ArrayOfOfferAddOn>(_ArrayOfOfferAddOn_QNAME, ArrayOfOfferAddOn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Duration }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "duration")
    public JAXBElement<Duration> createDuration(Duration value) {
        return new JAXBElement<Duration>(_Duration_QNAME, Duration.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfWebServiceError }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ArrayOfWebServiceError")
    public JAXBElement<ArrayOfWebServiceError> createArrayOfWebServiceError(ArrayOfWebServiceError value) {
        return new JAXBElement<ArrayOfWebServiceError>(_ArrayOfWebServiceError_QNAME, ArrayOfWebServiceError.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorBase }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ErrorBase")
    public JAXBElement<ErrorBase> createErrorBase(ErrorBase value) {
        return new JAXBElement<ErrorBase>(_ErrorBase_QNAME, ErrorBase.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Long }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "long")
    public JAXBElement<Long> createLong(Long value) {
        return new JAXBElement<Long>(_Long_QNAME, Long.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Float }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "float")
    public JAXBElement<Float> createFloat(Float value) {
        return new JAXBElement<Float>(_Float_QNAME, Float.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "dateTime")
    public JAXBElement<XMLGregorianCalendar> createDateTime(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_DateTime_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "anyType")
    public JAXBElement<Object> createAnyType(Object value) {
        return new JAXBElement<Object>(_AnyType_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "string")
    public JAXBElement<String> createString(String value) {
        return new JAXBElement<String>(_String_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Long }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "unsignedInt")
    public JAXBElement<Long> createUnsignedInt(Long value) {
        return new JAXBElement<Long>(_UnsignedInt_QNAME, Long.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "char")
    public JAXBElement<Integer> createChar(Integer value) {
        return new JAXBElement<Integer>(_Char_QNAME, Integer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Short }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "short")
    public JAXBElement<Short> createShort(Short value) {
        return new JAXBElement<Short>(_Short_QNAME, Short.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "guid")
    public JAXBElement<String> createGuid(String value) {
        return new JAXBElement<String>(_Guid_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigDecimal }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "decimal")
    public JAXBElement<BigDecimal> createDecimal(BigDecimal value) {
        return new JAXBElement<BigDecimal>(_Decimal_QNAME, BigDecimal.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "boolean")
    public JAXBElement<Boolean> createBoolean(Boolean value) {
        return new JAXBElement<Boolean>(_Boolean_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WebServiceError }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "WebServiceError")
    public JAXBElement<WebServiceError> createWebServiceError(WebServiceError value) {
        return new JAXBElement<WebServiceError>(_WebServiceError_QNAME, WebServiceError.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "base64Binary")
    public JAXBElement<byte[]> createBase64Binary(byte[] value) {
        return new JAXBElement<byte[]>(_Base64Binary_QNAME, byte[].class, null, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "int")
    public JAXBElement<Integer> createInt(Integer value) {
        return new JAXBElement<Integer>(_Int_QNAME, Integer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "anyURI")
    public JAXBElement<String> createAnyURI(String value) {
        return new JAXBElement<String>(_AnyURI_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Inventory }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Inventory")
    public JAXBElement<Inventory> createInventory(Inventory value) {
        return new JAXBElement<Inventory>(_Inventory_QNAME, Inventory.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddOnByOfferID }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "AddOnByOfferID")
    public JAXBElement<AddOnByOfferID> createAddOnByOfferID(AddOnByOfferID value) {
        return new JAXBElement<AddOnByOfferID>(_AddOnByOfferID_QNAME, AddOnByOfferID.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Byte }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "byte")
    public JAXBElement<Byte> createByte(Byte value) {
        return new JAXBElement<Byte>(_Byte_QNAME, Byte.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Double }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "double")
    public JAXBElement<Double> createDouble(Double value) {
        return new JAXBElement<Double>(_Double_QNAME, Double.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link QName }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://schemas.microsoft.com/2003/10/Serialization/", name = "QName")
    public JAXBElement<QName> createQName(QName value) {
        return new JAXBElement<QName>(_QName_QNAME, QName.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorBase }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Messages", scope = AddOnByOfferID.class)
    public JAXBElement<ErrorBase> createAddOnByOfferIDMessages(ErrorBase value) {
        return new JAXBElement<ErrorBase>(_AddOnByOfferIDMessages_QNAME, ErrorBase.class, AddOnByOfferID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfOfferAddOn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "AddOns", scope = AddOnByOfferID.class)
    public JAXBElement<ArrayOfOfferAddOn> createAddOnByOfferIDAddOns(ArrayOfOfferAddOn value) {
        return new JAXBElement<ArrayOfOfferAddOn>(_AddOnByOfferIDAddOns_QNAME, ArrayOfOfferAddOn.class, AddOnByOfferID.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ErrorKey", scope = WebServiceError.class)
    public JAXBElement<String> createWebServiceErrorErrorKey(String value) {
        return new JAXBElement<String>(_WebServiceErrorErrorKey_QNAME, String.class, WebServiceError.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ErrorMessage", scope = WebServiceError.class)
    public JAXBElement<String> createWebServiceErrorErrorMessage(String value) {
        return new JAXBElement<String>(_WebServiceErrorErrorMessage_QNAME, String.class, WebServiceError.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Parameter", scope = WebServiceError.class)
    public JAXBElement<String> createWebServiceErrorParameter(String value) {
        return new JAXBElement<String>(_WebServiceErrorParameter_QNAME, String.class, WebServiceError.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddOnByOfferID }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "GetAddOnsByOfferResult", scope = GetAddOnsByOfferResponse.class)
    public JAXBElement<AddOnByOfferID> createGetAddOnsByOfferResponseGetAddOnsByOfferResult(AddOnByOfferID value) {
        return new JAXBElement<AddOnByOfferID>(_GetAddOnsByOfferResponseGetAddOnsByOfferResult_QNAME, AddOnByOfferID.class, GetAddOnsByOfferResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorBase }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Messages", scope = Inventory.class)
    public JAXBElement<ErrorBase> createInventoryMessages(ErrorBase value) {
        return new JAXBElement<ErrorBase>(_AddOnByOfferIDMessages_QNAME, ErrorBase.class, Inventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProductInventory }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Product", scope = Inventory.class)
    public JAXBElement<ProductInventory> createInventoryProduct(ProductInventory value) {
        return new JAXBElement<ProductInventory>(_InventoryProduct_QNAME, ProductInventory.class, Inventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "CatalogCode", scope = GetAddOnsByOffer.class)
    public JAXBElement<String> createGetAddOnsByOfferCatalogCode(String value) {
        return new JAXBElement<String>(_GetAddOnsByOfferCatalogCode_QNAME, String.class, GetAddOnsByOffer.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "BrandID", scope = GetAddOnsByOffer.class)
    public JAXBElement<String> createGetAddOnsByOfferBrandID(String value) {
        return new JAXBElement<String>(_GetAddOnsByOfferBrandID_QNAME, String.class, GetAddOnsByOffer.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "OfferCode", scope = GetAddOnsByOffer.class)
    public JAXBElement<String> createGetAddOnsByOfferOfferCode(String value) {
        return new JAXBElement<String>(_GetAddOnsByOfferOfferCode_QNAME, String.class, GetAddOnsByOffer.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "SubstitutionOfferCode", scope = ProductInventory.class)
    public JAXBElement<String> createProductInventorySubstitutionOfferCode(String value) {
        return new JAXBElement<String>(_ProductInventorySubstitutionOfferCode_QNAME, String.class, ProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "SKU", scope = ProductInventory.class)
    public JAXBElement<String> createProductInventorySKU(String value) {
        return new JAXBElement<String>(_ProductInventorySKU_QNAME, String.class, ProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "SubstitutionSkuOrKitCode", scope = ProductInventory.class)
    public JAXBElement<String> createProductInventorySubstitutionSkuOrKitCode(String value) {
        return new JAXBElement<String>(_ProductInventorySubstitutionSkuOrKitCode_QNAME, String.class, ProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "SubstitutionTypeName", scope = ProductInventory.class)
    public JAXBElement<String> createProductInventorySubstitutionTypeName(String value) {
        return new JAXBElement<String>(_ProductInventorySubstitutionTypeName_QNAME, String.class, ProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfWebServiceError }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "MessagesCollection", scope = ErrorBase.class)
    public JAXBElement<ArrayOfWebServiceError> createErrorBaseMessagesCollection(ArrayOfWebServiceError value) {
        return new JAXBElement<ArrayOfWebServiceError>(_ErrorBaseMessagesCollection_QNAME, ArrayOfWebServiceError.class, ErrorBase.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "CatalogCode", scope = GetProductInventory.class)
    public JAXBElement<String> createGetProductInventoryCatalogCode(String value) {
        return new JAXBElement<String>(_GetAddOnsByOfferCatalogCode_QNAME, String.class, GetProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "SKU", scope = GetProductInventory.class)
    public JAXBElement<String> createGetProductInventorySKU(String value) {
        return new JAXBElement<String>(_ProductInventorySKU_QNAME, String.class, GetProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "BrandID", scope = GetProductInventory.class)
    public JAXBElement<String> createGetProductInventoryBrandID(String value) {
        return new JAXBElement<String>(_GetAddOnsByOfferBrandID_QNAME, String.class, GetProductInventory.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Inventory }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "GetProductInventoryResult", scope = GetProductInventoryResponse.class)
    public JAXBElement<Inventory> createGetProductInventoryResponseGetProductInventoryResult(Inventory value) {
        return new JAXBElement<Inventory>(_GetProductInventoryResponseGetProductInventoryResult_QNAME, Inventory.class, GetProductInventoryResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ImageFileName", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnImageFileName(String value) {
        return new JAXBElement<String>(_OfferAddOnImageFileName_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ImageWidth", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnImageWidth(String value) {
        return new JAXBElement<String>(_OfferAddOnImageWidth_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "AddonOfferCode", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnAddonOfferCode(String value) {
        return new JAXBElement<String>(_OfferAddOnAddonOfferCode_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "ImageHeight", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnImageHeight(String value) {
        return new JAXBElement<String>(_OfferAddOnImageHeight_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Description", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnDescription(String value) {
        return new JAXBElement<String>(_OfferAddOnDescription_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "OriginalOfferName", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnOriginalOfferName(String value) {
        return new JAXBElement<String>(_OfferAddOnOriginalOfferName_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "Script", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnScript(String value) {
        return new JAXBElement<String>(_OfferAddOnScript_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "CatalogCode", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnCatalogCode(String value) {
        return new JAXBElement<String>(_GetAddOnsByOfferCatalogCode_QNAME, String.class, OfferAddOn.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Fingerhut.Services", name = "OriginalOfferCode", scope = OfferAddOn.class)
    public JAXBElement<String> createOfferAddOnOriginalOfferCode(String value) {
        return new JAXBElement<String>(_OfferAddOnOriginalOfferCode_QNAME, String.class, OfferAddOn.class, value);
    }

}
